<!-- <div fxLayout="row" fxLayoutAlign="end start">
    <button mat-icon-button class="close-button" (click)="close()">
        <mat-icon>close</mat-icon>
</button>
</div> -->
<!-- <mat-dialog-content>
   
    <div class="panel" style="height: 100%;">
        <div class="panel-title" [ngClass]="primaryColorBrand">
        <span><mat-icon>format_list_numbered</mat-icon></span>
        <span>&nbsp;Detalhe do Parcelamento</span>
        </div>
                      
    </div>   
   
</mat-dialog-content>  -->

<div class="dialog-content-wrapper">
  <mat-toolbar [ngClass]="primaryColorBrand" class=" m-0 mat-toolbar mat-toolbar-multiple-rows" style="flex-direction: row; box-sizing: border-box; display: flex;">
    <mat-toolbar-row class="mat-toolbar-row" fxflex="" fxlayout="row" fxlayoutalign="space-between center" style="flex-direction: row; box-sizing: border-box; display: flex; place-content: center space-between; align-items: center; flex: 1 1 0%;">
      <span>
        <mat-icon>format_list_numbered</mat-icon>
      </span>
      <span class="title dialog-title">Detalhe do Parcelamento</span>
      <button aria-label="Close dialog" mat-icon-button=""
        class="mat-icon-button" (click)="close()">
        <span class="mat-button-wrapper">
          <mat-icon class="mat-icon material-icons" role="img" aria-hidden="true">close</mat-icon>
        </span>
       
      </button>
    </mat-toolbar-row>
  </mat-toolbar>

  <div class="panel-content">

    <div fxLayout="column" fxLayoutAlign="center start" fxLayoutGap="10px">
      <div class="pb-16" fxLayout="row" fxLayoutAlign="start center" fxFlex="100">
        <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
        <div class="h2 secondary-text">Forma de Pagamento</div>
      </div>
     
    </div>
    <br>
    <form [formGroup]="paymentForm">
            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="padding-left: 10px;padding-right: 10px;"> 
              <mat-form-field fxFlex="100">
                <mat-select placeholder="Forma de Pagamento" formControlName="payment" (selectionChange)="paymentSelected($event.value)">
                  <mat-option *ngFor="let payment of paymentList" [value]="payment['number']">
                    <span>{{payment['text']}}</span>
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <div fxLayout="row" fxLayoutAlign="start center"  *ngIf="paymentForm.value.payment == 6" fxLayoutGap="10px" style="padding-left: 10px;padding-right: 10px;">
              <mat-form-field fxFlex="100">
                <mat-select placeholder="Parcelamento da Instalação" formControlName="installments" (selectionChange)="paymentCreditCardSelected($event.value)"
                  required>
                  <mat-option *ngFor="let installments of installmentsListCreditCard" [value]="installments['number']">
                    <span>{{installments['text']}}</span>
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div> 
             <div fxLayout="row" fxLayoutAlign="start center" *ngIf="paymentForm.value.payment != 6" fxLayoutGap="10px" style="padding-left: 10px;padding-right: 10px;">
              <mat-form-field fxFlex="100" >
                <mat-select placeholder="Parcelamento total da cotação" formControlName="installments" (selectionChange)="paymentInstallmentSelected($event.value)"
                  required>
                  <mat-option *ngFor="let installments of installmentsListCreditCard" [value]="installments['number']">
                    <span>{{installments['text']}}</span>
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
          </form>
    <hr>
    <div fxLayout="column" fxLayoutAlign="center start" fxLayoutGap="10px">
      <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
        <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
        <div class="h2 secondary-text">Descrição dos Custos</div>
      </div>

      <table class="simple">
        <tbody>
            <tr>
            <td>Instalação</td>
            <!-- <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>-->
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td > R$ 300,00</td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td> 
           
            <td > {{installmentsInstallation}}x de {{(300/installmentsInstallation) | currency : 'BRL'}}</td>
            </tr>
            <tr>
            <td>Monitoramento </td>
            <!-- <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>-->
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td> 
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td>R$ 360,00</td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
           
            <td>{{installments}}x de {{(360/installments) | currency : 'BRL'}}</td>
            </tr>
            <tr>
            <td>Seguro </td>
            <!-- <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>-->
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td> 
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td>{{ totalPrice | currency : 'BRL'}}</td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
           
            <td>{{installments}}x de {{(totalPrice/installments) | currency : 'BRL'}}</td>
            </tr>
        </tbody>
      </table>
    </div>
    <hr>
    <div fxLayout="column" fxLayoutAlign="center start" fxLayoutGap="10px">
      <!-- <div fxLayout="column" fxLayoutAlign="space-between start">
                    <span  fxFlex>
                        Instalação R$ 300,00  - {{installmentsInstallation}}x de {{(300/installmentsInstallation) | currency : 'BRL'}}
                    </span>      
                    <span  fxFlex >
                        Monitoramento R$ 360,00 - {{installments}}x de {{(360/installments) | currency : 'BRL'}}
                    </span>                   
                    <span  fxFlex>
                        Seguro {{ totalPrice | currency : 'BRL'}} {{installments}}x de {{(totalPrice/installments) | currency : 'BRL'}}
                    </span>                         
                </div> -->

      <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
        <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
        <div class="h2 secondary-text">Descrição do Parcelamento</div>
      </div>

      <table class="simple">
            <tbody>
                <tr *ngFor="let item of quoteList">
                <td>{{item.number}}º parcela</td>
                <td class="price-details" *ngIf="paymentForm.value.payment != 6"> (Instalação
                    {{(300/installmentsInstallation) | currency : 'BRL'}} &nbsp;&nbsp;&nbsp;&nbsp;+
                    &nbsp;&nbsp;&nbsp;&nbsp;Monitoramento {{(360/installments) | currency : 'BRL'}} &nbsp;&nbsp;&nbsp;&nbsp;+
                    &nbsp;&nbsp;&nbsp;&nbsp;Seguro {{(totalPrice/installments) | currency : 'BRL'}})</td>
                <td class="price-details" *ngIf="paymentForm.value.payment == 6"> (Monitoramento {{(360/installments) |
                    currency : 'BRL'}} &nbsp;&nbsp;&nbsp;&nbsp;+ &nbsp;&nbsp;&nbsp;&nbsp;Seguro {{(totalPrice/installments) |
                    currency : 'BRL'}})</td>
                <td>{{item.value | currency : 'BRL'}}</td>
                </tr>
            </tbody>
      </table>
    </div>

  </div>
</div>
